# Uses of Interface
com.opensymphony.module.sitemesh.html.TagRule

Packages that use TagRule
Package
Description
com.opensymphony.module.sitemesh.html
com.opensymphony.module.sitemesh.html.rules
com.opensymphony.module.sitemesh.multipass

## Uses of TagRule in com.opensymphony.module.sitemesh.html

Classes in com.opensymphony.module.sitemesh.html that implement TagRule
Modifier and Type
Class
Description
`class`
`BasicRule`
`class`
`BlockExtractingRule`
`class`
`StateTransitionRule`
Fields in com.opensymphony.module.sitemesh.html declared as TagRule
Modifier and Type
Field
Description
`private TagRule[]`
State.`rules`
Methods in com.opensymphony.module.sitemesh.html that return TagRule
Modifier and Type
Method
Description
`TagRule`
State.`getRule(String tagName)`
Methods in com.opensymphony.module.sitemesh.html with parameters of type TagRule
Modifier and Type
Method
Description
`void`
HTMLProcessor.`addRule(TagRule rule)`
Equivalent of htmlProcessor.defaultState().addRule()
`void`
State.`addRule(TagRule rule)`

## Uses of TagRule in com.opensymphony.module.sitemesh.html.rules

Classes in com.opensymphony.module.sitemesh.html.rules that implement TagRule
Modifier and Type
Class
Description
`class`
`BodyTagRule`
`class`
`ContentBlockExtractingRule`
`class`
`FramesetRule`
`class`
`HeadExtractingRule`
`class`
`HtmlAttributesRule`
`class`
`MetaTagRule`
`class`
`MSOfficeDocumentPropertiesRule`
Extracts the extra properties saved in HTML from MS Office applications (Word and Excel), such as Author, Company, Version, etc.
`class`
`ParameterExtractingRule`
`class`
`TagReplaceRule`
Very simple rule for replacing all occurences of one tag with another.
`class`
`TitleExtractingRule`

## Uses of TagRule in com.opensymphony.module.sitemesh.multipass

Classes in com.opensymphony.module.sitemesh.multipass that implement TagRule
Modifier and Type
Class
Description
`private static class`
`DivExtractingPageParser.TopLevelDivExtractingRule`